| Summary: | Added DIST_SUBDIR to print/tex port | ||||||
|---|---|---|---|---|---|---|---|
| Product: | Ports & Packages | Reporter: | lioux <lioux> | ||||
| Component: | Individual Port(s) | Assignee: | jmz | ||||
| Status: | Closed FIXED | ||||||
| Severity: | Affects Only Me | ||||||
| Priority: | Normal | ||||||
| Version: | Latest | ||||||
| Hardware: | Any | ||||||
| OS: | Any | ||||||
| Attachments: |
|
||||||
|
Description
lioux
1999-11-28 14:50:00 UTC
The aforementioned patch is incomplete, here follows an additional patch: --- scripts/configure.ORIG Mon Nov 29 11:19:10 1999 +++ scripts/configure Mon Nov 29 11:18:41 1999 @@ -16,6 +16,6 @@ for i in ../../base/*tex; do ln -s $i; done for i in ../../mf/*mf; do ln -s $i; done for i in ../../lib/*mf; do ln -s $i; done -cp $DISTDIR/modes.mf . || exit 1; +cp $DISTDIR/$DIST_SUBDIR/modes.mf . || exit 1; exit 0; I declare all previous patches null and void. :)
I am packaging all patches together for completion.
Sorry for the mess.
diff -ru tex.ORIG/Makefile tex/Makefile
--- tex.ORIG/Makefile Mon Nov 29 12:06:52 1999
+++ tex/Makefile Mon Nov 29 12:06:05 1999
@@ -21,6 +21,10 @@
USE_GMAKE= yes
+DIST_SUBDIR= tex
+
+SCRIPTS_ENV= DIST_SUBDIR=${DIST_SUBDIR}
+
MAKE_FLAGS= fmts= all_mems=
do-build:
diff -ru tex.ORIG/files/md5 tex/files/md5
--- tex.ORIG/files/md5 Thu Jul 15 21:58:44 1999
+++ tex/files/md5 Mon Nov 29 12:07:49 1999
@@ -1,7 +1,7 @@
-MD5 (web2c-7.1.tar.gz) = 9337cb416cc367be7871c2f15bf91a5c
-MD5 (web-7.1.tar.gz) = d525679921a0db7e4289b53415494dae
-MD5 (tex_base.tar.gz) = f4c6ea916cc7a955844fdfaf43d429ae
-MD5 (cm_tfm.tar.gz) = 53e7cc4680aeea7bc9bcbe04356eeed6
-MD5 (mf_lib.tar.gz) = 5c53105b2c3fe8416eb06f64c8b5adf1
-MD5 (cm_mf.tar.gz) = 199f9d26eff042df51f50d3020a0baee
-MD5 (modes.mf) = 8985161376dc78ed599e0eb5c7265b31
+MD5 (tex/web2c-7.1.tar.gz) = 9337cb416cc367be7871c2f15bf91a5c
+MD5 (tex/web-7.1.tar.gz) = d525679921a0db7e4289b53415494dae
+MD5 (tex/tex_base.tar.gz) = f4c6ea916cc7a955844fdfaf43d429ae
+MD5 (tex/cm_tfm.tar.gz) = 53e7cc4680aeea7bc9bcbe04356eeed6
+MD5 (tex/mf_lib.tar.gz) = 5c53105b2c3fe8416eb06f64c8b5adf1
+MD5 (tex/cm_mf.tar.gz) = 199f9d26eff042df51f50d3020a0baee
+MD5 (tex/modes.mf) = 8985161376dc78ed599e0eb5c7265b31
diff -ru tex.ORIG/scripts/configure tex/scripts/configure
--- tex.ORIG/scripts/configure Wed Feb 3 02:45:07 1999
+++ tex/scripts/configure Mon Nov 29 12:06:12 1999
@@ -16,6 +16,6 @@
for i in ../../base/*tex; do ln -s $i; done
for i in ../../mf/*mf; do ln -s $i; done
for i in ../../lib/*mf; do ln -s $i; done
-cp $DISTDIR/modes.mf . || exit 1;
+cp $DISTDIR/$DIST_SUBDIR/modes.mf . || exit 1;
exit 0;
Responsible Changed From-To: freebsd-ports->jmz Over to port's maintainer. Hello, I would like to request the re-evaluation of this PR. The same reason that made me request the closure of PR ports/15108 brings me to request that this one be accepted. :) Closely inspection of the handbook states that DIST_SUBDIR should be applied whenever there are enough port's distfiles with confusing names so that they cannot be identified as beloging to it. A bit confusing, yet true. At least, that is my interpretation. I can always be corrected, that's the beauty of it. Can you say that these files (web2c-7.2b.tar.gz web-7.2a.tar.gz tex_base.tar.gz cm_tfm.tar.gz mf_lib.tar.gz cm_mf.tar.gz) belong to print/tex? That they even belong to the same port? Just imagine then scatered among about 200+ other distfiles? That's my world. I personally switched from print/tex to print/teTex, yet the problem remains though not as annoying to me anymore. -- Regards, mferreira This pr is very old, can the patches be updated/committed or closed? >>>>> David W Chapman writes: > This pr is very old, can the patches be updated/committed or closed? I plan to do it for the next tex/latex update. Jean-Marc -- Jean-Marc Zucconi -- PGP Key: finger jmz@FreeBSD.org [KeyID: 400B38E9] Two years has passed. Will this PR be processed? Or should we close it? >>>>> kuriyama writes: > Two years has passed. Will this PR be processed? > Or should we close it? It can be processed, but it was not high in my priority list... Now I am leaving for vacation and I will be back around july, 20. I will then commit the PR at this time. Alternatively feel free to commit it yourself now. Jean-Marc -- Jean-Marc Zucconi -- PGP Key: finger jmz@FreeBSD.org [KeyID: 400B38E9] State Changed From-To: open->closed Committed (finally!) |